* [gentoo-commits] repo/user/gerislay:master commit in: dev-python/clang-python/
@ 2024-06-30 21:07 gerion
0 siblings, 0 replies; only message in thread
From: gerion @ 2024-06-30 21:07 UTC (permalink / raw
To: gentoo-commits
commit: 6aeafb17e02c2cfe5c0918c5c8e9348a3c330fd7
Author: Gerion Entrup <gerion.entrup <AT> flump <DOT> de>
AuthorDate: Tue Jun 25 08:27:52 2024 +0000
Commit: gerion <gerion.entrup <AT> flump <DOT> de>
CommitDate: Sun Jun 30 21:07:04 2024 +0000
URL: https://gitweb.gentoo.org/repo/user/gerislay.git/commit/?id=6aeafb17
Revert "dev-python/clang-python: Remove LLVM 14"
This reverts commit f08b61da1ac71ed2f730054b772a8028f580d5c5.
Signed-off-by: Gerion Entrup <gerion.entrup <AT> flump.de>
dev-python/clang-python/clang-python-14.0.6.ebuild | 47 ++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/dev-python/clang-python/clang-python-14.0.6.ebuild b/dev-python/clang-python/clang-python-14.0.6.ebuild
new file mode 100644
index 0000000..2d5270c
--- /dev/null
+++ b/dev-python/clang-python/clang-python-14.0.6.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2024-06-30 21:07 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-30 21:07 [gentoo-commits] repo/user/gerislay:master commit in: dev-python/clang-python/ gerion
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox